package cn.ibizlab.businesscentral.core.odoo_hr.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.businesscentral.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.businesscentral.core.odoo_hr.domain.Hr_leave_type;
/**
 * 关系型数据实体[Hr_leave_type] 查询条件对象
 */
@Slf4j
@Data
public class Hr_leave_typeSearchContext extends QueryWrapperContext<Hr_leave_type> {

	private String n_allocation_type_eq;//[模式]
	public void setN_allocation_type_eq(String n_allocation_type_eq) {
        this.n_allocation_type_eq = n_allocation_type_eq;
        if(!ObjectUtils.isEmpty(this.n_allocation_type_eq)){
            this.getSearchCond().eq("allocation_type", n_allocation_type_eq);
        }
    }
	private String n_validation_type_eq;//[验证人]
	public void setN_validation_type_eq(String n_validation_type_eq) {
        this.n_validation_type_eq = n_validation_type_eq;
        if(!ObjectUtils.isEmpty(this.n_validation_type_eq)){
            this.getSearchCond().eq("validation_type", n_validation_type_eq);
        }
    }
	private String n_time_type_eq;//[请假]
	public void setN_time_type_eq(String n_time_type_eq) {
        this.n_time_type_eq = n_time_type_eq;
        if(!ObjectUtils.isEmpty(this.n_time_type_eq)){
            this.getSearchCond().eq("time_type", n_time_type_eq);
        }
    }
	private String n_request_unit_eq;//[休假]
	public void setN_request_unit_eq(String n_request_unit_eq) {
        this.n_request_unit_eq = n_request_unit_eq;
        if(!ObjectUtils.isEmpty(this.n_request_unit_eq)){
            this.getSearchCond().eq("request_unit", n_request_unit_eq);
        }
    }
	private String n_color_name_eq;//[报表中的颜色]
	public void setN_color_name_eq(String n_color_name_eq) {
        this.n_color_name_eq = n_color_name_eq;
        if(!ObjectUtils.isEmpty(this.n_color_name_eq)){
            this.getSearchCond().eq("color_name", n_color_name_eq);
        }
    }
	private String n_name_like;//[休假类型]
	public void setN_name_like(String n_name_like) {
        this.n_name_like = n_name_like;
        if(!ObjectUtils.isEmpty(this.n_name_like)){
            this.getSearchCond().like("name", n_name_like);
        }
    }
	private String n_categ_id_text_eq;//[会议类型]
	public void setN_categ_id_text_eq(String n_categ_id_text_eq) {
        this.n_categ_id_text_eq = n_categ_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_categ_id_text_eq)){
            this.getSearchCond().eq("categ_id_text", n_categ_id_text_eq);
        }
    }
	private String n_categ_id_text_like;//[会议类型]
	public void setN_categ_id_text_like(String n_categ_id_text_like) {
        this.n_categ_id_text_like = n_categ_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_categ_id_text_like)){
            this.getSearchCond().like("categ_id_text", n_categ_id_text_like);
        }
    }
	private String n_write_uid_text_eq;//[最后更新人]
	public void setN_write_uid_text_eq(String n_write_uid_text_eq) {
        this.n_write_uid_text_eq = n_write_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_eq)){
            this.getSearchCond().eq("write_uid_text", n_write_uid_text_eq);
        }
    }
	private String n_write_uid_text_like;//[最后更新人]
	public void setN_write_uid_text_like(String n_write_uid_text_like) {
        this.n_write_uid_text_like = n_write_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_like)){
            this.getSearchCond().like("write_uid_text", n_write_uid_text_like);
        }
    }
	private String n_create_uid_text_eq;//[创建人]
	public void setN_create_uid_text_eq(String n_create_uid_text_eq) {
        this.n_create_uid_text_eq = n_create_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_eq)){
            this.getSearchCond().eq("create_uid_text", n_create_uid_text_eq);
        }
    }
	private String n_create_uid_text_like;//[创建人]
	public void setN_create_uid_text_like(String n_create_uid_text_like) {
        this.n_create_uid_text_like = n_create_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_like)){
            this.getSearchCond().like("create_uid_text", n_create_uid_text_like);
        }
    }
	private String n_company_id_text_eq;//[公司]
	public void setN_company_id_text_eq(String n_company_id_text_eq) {
        this.n_company_id_text_eq = n_company_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_company_id_text_eq)){
            this.getSearchCond().eq("company_id_text", n_company_id_text_eq);
        }
    }
	private String n_company_id_text_like;//[公司]
	public void setN_company_id_text_like(String n_company_id_text_like) {
        this.n_company_id_text_like = n_company_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_company_id_text_like)){
            this.getSearchCond().like("company_id_text", n_company_id_text_like);
        }
    }
	private Long n_categ_id_eq;//[会议类型]
	public void setN_categ_id_eq(Long n_categ_id_eq) {
        this.n_categ_id_eq = n_categ_id_eq;
        if(!ObjectUtils.isEmpty(this.n_categ_id_eq)){
            this.getSearchCond().eq("categ_id", n_categ_id_eq);
        }
    }
	private Long n_company_id_eq;//[公司]
	public void setN_company_id_eq(Long n_company_id_eq) {
        this.n_company_id_eq = n_company_id_eq;
        if(!ObjectUtils.isEmpty(this.n_company_id_eq)){
            this.getSearchCond().eq("company_id", n_company_id_eq);
        }
    }
	private Long n_create_uid_eq;//[创建人]
	public void setN_create_uid_eq(Long n_create_uid_eq) {
        this.n_create_uid_eq = n_create_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_eq)){
            this.getSearchCond().eq("create_uid", n_create_uid_eq);
        }
    }
	private Long n_write_uid_eq;//[最后更新人]
	public void setN_write_uid_eq(Long n_write_uid_eq) {
        this.n_write_uid_eq = n_write_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_eq)){
            this.getSearchCond().eq("write_uid", n_write_uid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("name", query)   
            );
		 }
	}
}



